> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Invoice

> Retrieve a list of Invoices with a complex or simple query.



## OpenAPI

````yaml post /v2/query/glasscore/invoice
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/query/glasscore/invoice:
    post:
      tags:
        - Invoice
      summary: Query Invoice
      description: Retrieve a list of Invoices with a complex or simple query.
      operationId: QueryInvoice
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of Invoices
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: number
                    nullable: true
                    description: Represents the outstanding amount due on an invoice.
                  c_org:
                    type: string
                    description: >-
                      Represents the organization associated with a particular
                      invoice.
                  date:
                    anyOf:
                      - type: string
                      - type: string
                    description: >-
                      Represents the day, month, and year when the invoice was
                      issued.
                  dateDue:
                    anyOf:
                      - type: string
                      - type: string
                    description: >-
                      Specifies the deadline by which the invoice payment should
                      be made.
                  dropInvoice:
                    type: string
                    description: >-
                      Indicates whether a particular invoice has been cancelled
                      or discarded.
                  id:
                    type: string
                    description: Unique identifier.
                  label:
                    type: string
                    description: >-
                      Indicates the categorization or identification tag
                      associated with each invoice.
                  lateFee:
                    type: number
                    nullable: true
                    description: >-
                      Represents the additional charge applied to an invoice
                      when payment is not received by the due date.
                  month:
                    type: number
                    description: >-
                      Represents the specific month in which an invoice was
                      issued.
                  OrgId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for the organization
                      associated with a particular invoice.
                  year:
                    type: number
                    nullable: true
                    description: >-
                      Represents the calendar year in which the invoice was
                      issued.
                required:
                  - balance
                  - c_org
                  - date
                  - dateDue
                  - dropInvoice
                  - id
                  - label
                  - lateFee
                  - month
                  - OrgId
                  - year
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````